NCName (Axis API)
Keywords: org.apache.axis.types.NCName class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class NCName

    java.lang.Object
      org.apache.axis.types.NormalizedString
          org.apache.axis.types.Token
              org.apache.axis.types.Name
                  org.apache.axis.types.NCName

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Entities, Entity, Id, IDRef, IDRefs, NMTokens

public class NCName
extends Name

Custom class for supporting XSD data type NCName NCName represents XML "non-colonized" Names The base type of NCName is Name.

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.7, NCName Production, Serialized Form

Constructor Summary
`NCName()`
`NCName(java.lang.String stValue)` ctor for NCName

Method Summary
`static boolean` | `isValid(java.lang.String stValue)` validate the value against the xsd definition NCName ::= (Letter | '_') (NCNameChar)* NCNameChar ::= Letter | Digit | '.' | '-' | '_' | CombiningChar | Extender
`void` | `setValue(java.lang.String stValue)` validates the data and sets the value for the object.

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NCName

    public NCName()

### NCName

    public NCName(java.lang.String stValue)
           throws java.lang.IllegalArgumentException

  ctor for NCName

Throws:
  `java.lang.IllegalArgumentException` - will be thrown if validation fails

Method Detail

### setValue

    public void setValue(java.lang.String stValue)
                  throws java.lang.IllegalArgumentException

  validates the data and sets the value for the object.

  Overrides:
    `setValue` in class `Name`
  Parameters:
    `stValue` - String value
  Throws:
    `java.lang.IllegalArgumentException` - if invalid format

### isValid

    public static boolean isValid(java.lang.String stValue)

  validate the value against the xsd definition NCName ::= (Letter | '_') (NCNameChar)* NCNameChar ::= Letter | Digit | '.' | '-' | '_' | CombiningChar | Extender

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.